<?php
/**
 * 检测留言中是否带有中文字，如果没有，则返回出错信息，并不保存该条留言。
 * 登录用户，留言可以不带有中文字。
 * @param mixed $comment
 * @return mixed
 */
function ss_check_comment($comment) {
    $options = ss_get_options();

    // 是否對登錄用戶進行過濾
    if ('notrequired' == $options['login_user'] && is_user_logged_in()) return $comment;
    // 是否對trackback和pingback進行過濾
    if (('no' == $options['filter_trackback']) && ('' != $comment['comment_type'])) return $comment;

    $commentStr = $comment['comment_content'];
    $cn_pattern = '/[一-龥]/u';
    $jp_pattern = '/[ぁ-ん]+|[ァ-ヴ]+/u';
    $link_pattern='/<a(.*?)href/i';

    //是否需要包含中文
    if ('yes'==$options['need_chinese']){
        $contain_chinese=preg_match($cn_pattern,$commentStr, $match);
    }
    else{
        $contain_chinese=1;////不需要包含中文
    }
    // 是否过滤日语评论
    if ('yes'==$options['filter_japanese']){
        $contain_japanese=preg_match($jp_pattern,$commentStr, $match);
    }
    else{
        $contain_japanese=0;////不过滤日语
    }

    // 是否过滤超链接
    if ('yes'==$options['filter_link']){
        $contain_link=preg_match($link_pattern,$commentStr, $match);
    }
    else{
        $contain_link=0;
    }


    if(!$contain_chinese|| $contain_japanese||$contain_link){
        $options['message'] = apply_filters('ss_message', $options['message']);
        $options['message'] = apply_filters('display_smilies', $options['message']);
        header("Content-type: text/html; charset=utf-8");
        exit($options['message'] . '<br /><a href="' . $_SERVER['HTTP_REFERER'] .'#respond">返回留言</a>');
    }else{
        return $comment;
    }
}

/**
 * 在留言框的下面增加一个英文提示。
 */
function ss_js() {
    $options = ss_get_options();
    if ($options['show_message'] == 'show'){
        $options['message'] = apply_filters('ss_message', $options['message']);
        $options['message'] = apply_filters('display_smilies', $options['message']);
        echo <<<JS
<script type="text/javascript"><!--//--><![CDATA[//><!--
var cf = document.getElementById("commentform");
if(cf){
	var msghtml = "{$options['message']}";
	if(cf.insertAdjacentHTML){
		cf.insertAdjacentHTML("afterEnd", msghtml);
	}else{/* FireFox */
		var range = cf.ownerDocument.createRange();
		range.setStartAfter(cf);
		var frag = range.createContextualFragment(msghtml);
		cf.parentNode.insertBefore(frag, cf.nextSibling);
	}
}
//--><!]]></script>
JS;
    }
}

/* END */